CREATE PROCEDURE Customer_Insert
	@NewName		char(50),
	@NewAreaCode	char(5),
	@NewPhone		char(8),
	@Nationality	char(25)

AS

DECLARE @Count	as smallint
DECLARE @Aid	as int
DECLARE @Cid	as int

SELECT	@Count = Count(*)
FROM	dbo.CUSTOMER
WHERE	[Name]=@NewName AND AreaCode=@NewAreaCode AND PhoneNumber=@NewPhone

IF @Count>0 
	BEGIN 
		PRINT 'Customer Alreadyu Exiosts - No Action Taken'
		RETURN
	END

INSERT INTO dbo.CUSTOMER
	([Name], AreaCode, PhoneNumber)
	VALUES
	(@NewName, @NewAreaCode, @NewPhone)

SELECT	@Cid=CustomerID
FROM	dbo.CUSTOMER
WHERE	[Name]=@NewName AND AreaCode=@NewAreaCode AND PhoneNumber=@NewPhone

DECLARE Artist_Cursor CURSOR FOR 
	SELECT	ArtistID
	FROM	dbo.ARTIST
	WHERE	Nationality=@Nationality

OPEN Artist_Cursor
FETCH NEXT FROM Artist_Cursor INTO @Aid
	WHILE @@FETCH_STATUS=0
	BEGIN
		INSERT INTO dbo.CUSTOMER_ARTIST_INT VALUES (@Aid, @Cid)
		FETCH NEXT FROM Artist_Cursor INTO @Aid
	END
CLOSE Artist_Cursor
DEALLOCATE Artist_Cursor