CREATE TRIGGER [CheckForProblemAccount] ON [dbo].[CUSTOMER]
FOR INSERT, UPDATE
AS
SELECT *
FROM inserted I join PROBLEM_ACCOUNT P
	ON	I.Name=P.Name 
	AND	I.AreaCode=P.AreaCode
	AND I.PhoneNumber=P.PhoneNumber

IF @@rowcount>0
	BEGIN
		ROLLBACK
		Print 'Customer record is in PROBLEM_ACCOUNT. Isert or Change not allowed!'
	END