CREATE TRIGGER [CheckNationality] ON [dbo].[ARTIST]
FOR INSERT, UPDATE
AS
SELECT *
FROM inserted I join ALLOWED_NATIONALITY N
	ON	I.Nationality=N.Nationality

IF @@rowcount=0
	BEGIN
		ROLLBACK
		Print 'Artist Nationality not in ALLOWED_NATIONALITY. INSERT / UPDATE DENIED!'
	END