CREATE TRIGGER [dbo].[CustomerNameUpdate] ON [dbo].[CustomerInterests] INSTEAD OF UPDATE
AS

DECLARE	@newName	as char(30),
		@oldName	as char(30),
		@nameCount	as int

SELECT	@newName=Customer
FROM	inserted

SELECT	@oldName=Customer
FROM	deleted

SELECT @nameCount=COUNT(*)
FROM	dbo.CUSTOMER C1
WHERE	C1.[Name]=@oldName

Print @nameCount

IF @nameCount=1
	BEGIN
		print 'Updating ' + @oldname + ' to ' + @newName + ' in CUSTOMER table.'
		UPDATE	dbo.CUSTOMER
		SET		dbo.CUSTOMER.[Name]=@newName
		WHERE	dbo.CUSTOMER.[Name]=@oldName
	END
ELSE
	print 'No changes made!'